## Class TDataListItemEventParameter

Description

TDataListItemEventParameter class

TDataListItemEventParameter encapsulates the parameter data for TDataList::onItemCreated event of TDataList controls. The Item property indicates the DataList item related with the event.

- since: 3.0
- version: $Id: TDataList.php 2227 2007-09-17 12:56:51Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TDataList.php (line 1506)

    TComponent
       |
       --TEventParameter
          |
          --TDataListItemEventParameter

Method Summary
TDataListItemEventParameter __construct (TControl $item)
TControl getItem ()
Methods
Constructor __construct (line 1518)

Constructor.

- access: public

TDataListItemEventParameter __construct (TControl $item)

- TControl $item: DataList item related with the corresponding event

getItem (line 1526)

- return: datalist item related with the corresponding event
- access: public

TControl getItem ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:38 -0400 by phpDocumentor 1.3.0RC4